package com.zbsz.info;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class Search {
    @ApiModelProperty(value = "字段内容，可以为空")
    private String columnValue;
    @ApiModelProperty(value = "当前页码，（小于等于1） = 1， 页码从1开始,2为第2页",required = true)
    private Integer currentPage;
    @ApiModelProperty(value = "每页返回行数（每页展示最大多少行）",required = true)
    private Integer pageSize;
    @ApiModelProperty(value = "表名称，可以为空")
    private String tableName;
    @ApiModelProperty(value = "过滤字段列表，可以为空")
    private List<String> columnNameList;
    @ApiModelProperty(value = "合并表名称列表，可以为空")
    private List<String> leftJoinTableNameList;
    @ApiModelProperty(value = "时间过滤字段，默认为create_time，不为空的时候覆盖create_time，可以为空")
    private String timeName;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "开始时间，时间格式为 ：yyyy-MM-dd HH:mm:ss，可以为空")
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @ApiModelProperty(value = "结束时间，时间格式为 ：yyyy-MM-dd HH:mm:ss，可以为空")
    private Date endTime;
    @ApiModelProperty(value = "排序字段，默认为create_time，可以为空")
    private String orderBy;
    @ApiModelProperty(value = "排序类型，默认为desc，备注（desc：降序  asc:升序），可以为空")
    private String descOrAsc;
}
